Subject: Re: [PATCH][XFRM] export SPD info

From: jamal <[email-masked]>
Date: Mon, 30 Apr 2007 08:04:36 -0400

On Sat, 2007-28-04 at 21:19 -0700, David Miller wrote:

> I think filtering in the kernel makes sense when the kernel
> is in a unique place to make the algorithmic complexity of the
> filtering minimal.  The TCP socket dumping is a good example
> of that.
> 
> For things like this I think it's really unnecessary.
> 

Ok, maybe it was a little overkill - and i forgot about the tcpdiag
code, so there is already a sample that can be referenced.. 

> Figure out what the basic information is and just provide it every
> time.  You have a full release cycle to work out what that is, and if
> we miss anything, afterwards we can still extend with attributes.

Will do sometime this week - I will also do the same for the earlier SAD
patch.

cheers,
jamal